Bug 11196 - SearchEngine pref not in sysprefs.sql
Summary: SearchEngine pref not in sysprefs.sql
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P1 - high major (vote)
Assignee: Srdjan Jankovic
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 8233
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 00:48 UTC by Srdjan Jankovic
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
bug_11196: put SearchEngine to sysprefs.sql (1.35 KB, patch)
2013-11-04 01:06 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[SIGNED OFF] bug_11196: put SearchEngine to sysprefs.sql (1.42 KB, patch)
2013-11-11 06:55 UTC, M. Tompsett
Details | Diff | Splinter Review
bug_11196: put SearchEngine to sysprefs.sql (1.47 KB, patch)
2013-11-13 11:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11196: Add SearchEngine syspref in the DB if missing (1.13 KB, patch)
2013-11-13 11:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Srdjan Jankovic 2013-11-04 00:48:31 UTC
SearchEngine pref was introduced in updatedatabase.pl, but not in sysprefs.sql, so new installs don't have it set by default
Comment 1 Srdjan Jankovic 2013-11-04 01:06:19 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2013-11-11 06:55:40 UTC Comment hidden (obsolete)
Comment 3 M. Tompsett 2013-11-11 07:32:50 UTC
I dropped my koha database, and did a fresh install from master. Indeed it was missing. I changed the version number back to 3.6000000 in the systempreferences table and forced an upgrade. Lo and behold it appeared. I dropped my koha database again, applied the patch, and did a fresh install again. This time the system preference was there as expected.

I even discovered Frameworksloaded, marcflavor, and Version are all created by the installer, when I deleted everything in the system preferences table and sourced the sql file directly. It was disorienting to see that the variable count had dropped. No worries, though. This all was a test system. :)
Comment 4 Jonathan Druart 2013-11-13 11:15:10 UTC
Created attachment 22904 [details] [review]
bug_11196: put SearchEngine to sysprefs.sql

Test:
Check that sysprefs.sql runs correctly.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jonathan Druart 2013-11-13 11:15:16 UTC
Created attachment 22905 [details] [review]
Bug 11196: Add SearchEngine syspref in the DB if missing

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jonathan Druart 2013-11-13 11:16:39 UTC
The pref should be added too for installation created between 3.09.00.023 and now.

Marked as Passed QA.
Comment 7 Srdjan Jankovic 2013-11-13 23:53:59 UTC
I should have thought of that myself... We resolved it by going to the syspref admin.
Comment 8 Galen Charlton 2013-11-14 19:08:35 UTC
Since this is easy to test and quiets log noise, I've pushed this to master and 3.14.x.  Thanks, Srdjan!